Author Topic: how can *.sbsar create by Substance Designer6 open in Unity?  (Read 1927 times)

hello aii,

i have two quesions:
1.how can *.sbsar create by Substance Designer6 open in Unity?
2.how can i open the sbs file wich created by Designer6 in Designer5?

 thank u.  :P

Hi,

I'm not sure to understand your first question. But if you are asking how you can import a sbsar in unity, just drag and drop it in your assets folder.
For your second question : Designer 6 and 5 don't have the same engine. You can open in Designer 6 a sbs created with Designer 5. But there is no backward compatibility, so you can't.
QA Analyst

Thank you for reply :)
 
But,
1. I drag sbsar to Unity is failed.(the sbsar file is created by Desinger 6)
2. How can I open in Designer 6 a sbs created with Designer 5?

1 . Which version of Unity do you have ?
If you have an "old" version of Unity, you may need to change the compatibility mode of the engine in Designer.
To do this, in the top menu of Designer 6, go to Edit->Preferences->Projects. Here you will find the option 'compatibility mode'. Change it to 'Substance engine V5'. Hit 'ok' and now export your sbsar.

But be careful, if you see yellow highlighted nodes in your graph, it means that those nodes are not compatible with V5 engine. It often happens with the normal map node.
If this node is highlighted, change the 'Alpha Channel Content' option for 'Fill Alpha With Input'

2. to open a sbs made in Designer 5 in 6, just drag and drop it in Designer 6. Your graph will be updated. But you won't be able to open it in Designer 5 after this.

QA Analyst

Thanks for teach me too much. ;D
you are right,there are two highlighted node.One is Normal,but another is "Gradient Map".   
The Gradient Addressing node is highlighted.Could you please tell me :what's difference between "Repeat"and"Clamp"?
(when i choose "Clamp",the highlighted marker is disappear.)

1 . Which version of Unity do you have ?
If you have an "old" version of Unity, you may need to change the compatibility mode of the engine in Designer.
To do this, in the top menu of Designer 6, go to Edit->Preferences->Projects. Here you will find the option 'compatibility mode'. Change it to 'Substance engine V5'. Hit 'ok' and now export your sbsar.

What versions of Unity, specifically, are compatible with SD6? From the last Allegorithmic team post in this thread on the Unity forums, and from perusing Unity's release notes for recent versions, I see nothing about SD6 compatibility yet. I'm not challenging your statement -- I'd be very happy to learn that it got quietly supported. :)
Last Edit: June 19, 2017, 06:29:18 pm

Disregard my previous. I hadn't realized integrations were in their own forum, and in any case my question is answered here.